BackupWidget(3)

NAME
BackupWidget - The BackupWidget is the interface for the user to create and restore backups of the database.

SYNOPSIS

#include <backupwidget.h>

Inherits QWidget.

  Public Member Functions
BackupWidget (QWidget *parent=nullptr)

  Static Public Member Functions
static const QString backupName ()
Generates a filename for creating a backup.
static const QString absoluteBackupPath ()
Generates the absolute path for a new local backup file.

  Protected Member Functions
void changeEvent (QEvent *event) override
Handles change events, like updating the UI to new localisation.

Detailed Description

The BackupWidget is the interface for the user to create and restore backups of the database. OpenPilotLog offers two kinds of backups: Local and External Backups.
Local backups are automatically stored in a folder determined by AStandardpaths and automatically presented to the user in a List. Create Local backup and Restore Local Backup. are convenient shortcuts.
 When using Create External Backup, the user will be asked where to save the backup file. This can be a pen drive, a cloud location or any other location of his choice. This functionality can also be used to sync the database across devices. External backup files con be restored with Restore external backup.

Author

Generated automatically by Doxygen for openPilotLog from the source code.